/*
 * @version: V1.0.0
 * @Date: 2023-03-20 14:56:35
 * @LastEditors: lzq
 * @LastEditTime: 2023-03-20 15:24:44
 * @company: 睿展数据
 * @FilePath: \variant-form\src\main.js
 * @Descripttion: 
 */
import 'babel-polyfill'
import './utils/debug-console'
import Vue from 'vue'
import axios from "axios";
import App from './App.vue'
import ElementUI from 'element-ui'
import './utils/directive'
import './icons'
import router from './router/index'
import 'element-ui/lib/theme-chalk/index.css'
import '@/styles/index.scss'
import '@/iconfont/iconfont.css'

import {loadExtension} from '@/extension/extension-loader'

loadExtension()

Vue.use(ElementUI, { size: 'small' })

if (typeof window !== 'undefined') {
  window.axios = axios
}

Vue.config.productionTip = false

new Vue({
  el: "#app",
  router,
  render: h => h(App),
})
